/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.MaterialResource;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class MatlResProductionDesc {
    public int calcAvgProductionQty() {
        return 0;
    }

    public BigDecimal calcAvgRejectionPercentage() {
        return new BigDecimal(0);
    }

    public int calcTotalProductionRequests() {
        return 0;
    }

    public Vector listProductionRequests() {
        return new Vector();
    }

    public Vector listManuProcessTemplateUses() {
        return new Vector();
    }

    public Vector listPlannedProcesses() {
        return new Vector();
    }

    public Vector listActualProcesses() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ManuMgmt.ProductionRequest.ProductionRequestDetail lnkUnnamed6;
    private int minProductionQty;
    private int incrementAboveMinQty;
}


